@charset "utf-8";
/* CSS Document */
@import "../font/vazir/font-face.css";
@import "../font/yekan-bakh/fontiran.css";
@import "all.min.css";

* {
    font-family: "Yekan Bakh";
}

a {
    text-decoration: none !important;
}

a:hover {
    color: initial;
}

button:focus {
    outline: none !important;
}

/*slick slider*/

.slick-dots li {
    margin: 2px;
}

.slick-dots li.slick-active button:before {
    color: white;
    filter: drop-shadow(1px 1px 1px rgba(0, 0, 0, .6));
}

.slick-dots li button:before {
    font-size: 55px;
    color: white;
}

.slick-initialized .slick-slide:focus {
    outline: none;
}

.slick-arrow:before {
    color: white;
}

.main-back {
    background-image: url("../img/back-01.webp");
    background-attachment: fixed;
    background-size: contain;
    background-repeat: repeat;
}

/* main-header */

.main-menu {
    position: relative;
}

.main-menu li {
    position: relative;
}

.main-menu ul.navbar-nav > li.current-menu-item > a {
    color: #343a40 !important;
    border-bottom: 1px solid #343a40;
}

/* نمایش زیرمنو در دسکتاپ با hover */
.main-menu li.menu-item-has-children:hover > ul.dropdown-menu {
    display: block;
}

/* مخفی‌سازی پیش‌فرض زیرمنوها */
.main-menu ul ul.dropdown-menu {
    display: none;
    position: absolute;
    right: 100%; /* چون سایت rtl هست */
    top: 0;
    background: rgba(255, 255, 255, .9);
    border-radius: 8px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, .2);
    z-index: 999;
    text-align: right;
}

/* سطح اول زیرمنو - مستقیماً زیر والد */
.main-menu ul.navbar-nav > li.menu-item-has-children > ul.dropdown-menu {
    right: 0;
    top: 96%;
}

/* سطح دوم به بعد - باز شدن به سمت چپ */
.main-menu ul.dropdown-menu li.menu-item-has-children > ul.dropdown-menu {
    right: 100%;
    top: 0;
}

@media (min-width: 992px) {
    .main-menu ul.navbar-nav > li.menu-item-has-children > ul.dropdown-menu {
        width: fit-content;
    }

    .main-menu ul li.menu-item-has-children > ul.dropdown-menu .dropdown-toggle::after {
        transform: rotate(90deg);
    }

    .back-l-beige {
        background: #c1baad;
    }

    .l-l-space3 {
        letter-spacing: 3px;
    }


}

@media (max-width: 991px) {
    .main-menu .navbar-collapse {
        position: fixed;
        top: 60px;
        z-index: 999;
    }

    .main-menu .navbar-nav {
        position: absolute !important;
        background: rgba(193, 186, 173, 0.9);
        backdrop-filter: blur(4px);
        -webkit-backdrop-filter: blur(4px);
        border-radius: 8px;
        max-height: 80vh;
        overflow-y: auto;
        min-width: 200px;
        box-shadow: 0 2px 2px rgba(0, 0, 0, .2);
    }

    .main-menu ul ul.dropdown-menu {
        position: relative !important;
        right: 0 !important;
        left: 0 !important;
        padding-left: 1rem;
        padding-right: 1rem;
        background: #26A1D926;
        border: none;
        box-shadow: none;
        margin: 0;
        display: none;
    }

    .main-menu li.open > ul.dropdown-menu {
        display: block;
        animation: slideDown 0.3s ease-in-out;
    }

    /* فقط وقتی منو باز است آیکون بچرخه */
    .main-menu .dropdown-toggle[aria-expanded="true"]::after {
        transform: rotate(180deg);
        transition: transform 0.3s ease;
    }

    /* حالت عادی آیکون */
    .main-menu .dropdown-toggle::after {
        transition: transform 0.3s ease;
    }

    @keyframes slideDown {
        from {
            opacity: 0;
            transform: translateY(-10px);
        }
        to {
            opacity: 1;
            transform: translateY(0);
        }
    }
}

.main-menu .navbar .navbar-toggler {
    padding: 0.55rem 0.55rem;
}

.main-menu .navbar .navbar-toggler-icon {
    width: 24px;
    height: 18px;
    background-image: none;
    position: relative;
    border-bottom: 2px solid #636668;
    transition: all 300ms linear;
}

.main-menu .navbar .navbar-toggler-icon:after,
.main-menu .navbar .navbar-toggler-icon:before {
    width: 24px;
    position: absolute;
    height: 2px;
    background-color: #636668;
    top: 0;
    left: 0;
    content: '';
    z-index: 2;
    transition: all 300ms linear;
}

.main-menu .navbar .navbar-toggler-icon:after {
    top: 8px;
}

.main-menu .navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:after {
    transform: rotate(45deg);
}

.main-menu .navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:before {
    transform: translateY(8px) rotate(-45deg);
}

.main-menu .navbar-toggler[aria-expanded="true"] .navbar-toggler-icon {
    border-color: transparent;
}

header.sticky-top {
    z-index: 1030;
    transition: 0.6s ease;
    top: 10px;
}

header .top-menu-logo img {
    height: 60px;
    object-fit: scale-down;
    transition: 0.5s ease;
}

header.shrink .top-menu-logo img {
    height: 50px;
}

header.shrink {
    top: 10px;
}

/* ---------- Frontpage Top template ---------- */

.front-top-design .front-top-info img {
    max-height: 150px;
}

.front-top-design .slider1 img {
    height: 85vh;
    width: -webkit-fill-available;
    object-fit: cover;
}

[dir='rtl'] .front-top-design .slider1 .slick-next {
    left: 7%;
}

[dir='rtl'] .front-top-design .slider1 .slick-prev {
    right: 7%;
}

.front-top-design .slider1 .slick-dots {
    bottom: 3%;
}

/* ---------- Frontpage Call to Action ---------- */


/* ---------- Frontpage Services ---------- */

.f-services-sec,
.about-dr-sec {
    min-height: 500px;
}

.f-services-sec .front-services,
.about-dr-sec .about-dr {
    max-height: 300px;
}

.f-services-sec .front-services .side-pic img,
.about-dr-sec .about-dr .side-pic img {
    max-height: 470px;
    object-fit: scale-down;
    width: -webkit-fill-available;
    object-position: bottom;
}

.f-services-sec .front-services .slider2 .f-service-img,
.services-archive .f-service-img {
    position: relative;
}

.f-services-sec .front-services .slider2 img,
.services-archive img {
    height: 270px;
    width: 270px;
    object-fit: cover;
}

.f-services-sec .front-services .slider2 .overlay,
.services-archive .overlay {
    top: 5%;
    right: 5%;
    left: 5%;
    bottom: 5%;
    background: rgba(255, 255, 255, .4);
    position: absolute;
    transition: all 300ms linear;
}

.f-services-sec .front-services .slider2 a:hover .overlay,
.services-archive a:hover .overlay {
    background: transparent;
}

.front-services .slider2 .slick-next,
.front-license-list .slider66 .slick-next {
    left: 0;
}

.front-services .slider2 .slick-prev,
.front-license-list .slider66 .slick-prev {
    right: 0;
}

/* ---------- Frontpage Team Members ---------- */

.f-team-section .slider2 .slick-next:before,
.front-license-list .slider66 .slick-next:before {
    color: #71132a;
}

.f-team-section .slider2 .slick-prev:before,
.front-license-list .slider66 .slick-prev:before {
    color: #71132a;
}

.f-team-section .slider2 .slick-dots li button:before {
    color: #71132a;
}

.f-team-section .f-team-card img,
.f-team-archive .f-team-card img {
    max-height: 380px;
    object-fit: cover;
    object-position: top;
}

/* ---------- Frontpage About ---------- */

.front-about .about-logo img {
    max-height: 110px;
    object-fit: scale-down;
}

.front-about .front-about-services > a {
    position: relative;
}

.front-about .front-about-services img {
    max-height: 470px;
    min-height: 370px;
    width: -webkit-fill-available;
    object-fit: cover;
}

.front-about .front-about-services > a > div {
    position: absolute;
    bottom: 8%;
    left: 8%;
}

/* ---------- Frontpage License ---------- */

.my-gallery img {
    cursor: pointer;
    transition: transform 0.3s;
    max-height: 220px;
    object-fit: contain;
}

.my-gallery img:hover {
    transform: scale(1.05);
}

/* فول‌اسکرین modal */
.my-modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.9);
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.my-modal img {
    max-width: 90%;
    max-height: 90%;
    border-radius: 8px;
}

.my-modal .close {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    font-weight: bold;
}

.my-modal .prev,
.my-modal .next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 40px;
    color: #fff;
    cursor: pointer;
    padding: 10px;
    user-select: none;
}

.my-modal .prev {
    left: 30px;
}

.my-modal .next {
    right: 30px;
}

.my-modal .prev:hover,
.my-modal .next:hover {
    color: #ccc;
}

html[dir="rtl"] .my-modal .prev {
    right: 30px;
    left: auto;
}

html[dir="rtl"] .my-modal .next {
    left: 30px;
    right: auto;
}

/* ---------- Frontpage Articles Slider ---------- */

.archive-gallery img,
.front-gallery .slider55 img {
    border: 8px solid #c1baad;
}

.front-gallery .slick-dots li.slick-active button:before {
    color: #cbc6c5;
}

.front-gallery .slick-dots li button:before {
    color: #cbc6c5;
}

/* ---------- Frontpage Articles Slider ---------- */

.article-slide {
    min-height: 460px;
}

.article-slide .article-slide-image {
    position: relative;
}

.article-slide .article-slide-image img {
    height: 270px;
    width: -webkit-fill-available;
    object-fit: cover;
}

.article-slide .article-slide-image .overlay {
    position: absolute;
    top: 10px;
    right: 10px;
    left: 10px;
    bottom: 10px;
    border: solid 1px #c1baad;
    transition: all 300ms linear;
}

.article-slide p {
    color: #636668;
}

/* ---------- Comment  ---------- */

.comment-respond input.submit {
    background: #c1baad;
    color: white;
    border-radius: 8px;
    transition: all 0.3s ease;
    overflow: hidden;
}

.comment-respond input.submit:hover {
    transform: translateY(-3px);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3);
}

.comment-respond input.submit:active {
    transform: translateY(-1px);
}

.comment-form-edit,
.single-project-image,
.single-project-content {
    background: rgba(255, 255, 255, .5);
    outline: 1px solid rgba(255, 255, 255, .6);
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(6px);
    border-radius: 8px;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, .1);
}

/* --------- About Us --------- */


/* --------- Singular --------- */

.single-post-edit .card-body h2 {
    font-size: 1.7rem;
    font-weight: bold;
    margin-top: 15px;
    margin-bottom: 15px;
    color: #c1baad;
}

.single-post-edit .card-body img {
    border-radius: 12px;
    box-shadow: 0 2px 2px rgba(0, 0, 0, .2);
    margin-top: 15px;
    margin-bottom: 15px;
}

.comment-respond h3 {
    color: #dcc9a7 !important;
    font-size: 1rem;
    font-weight: bold;
    padding-bottom: 15px;
    border-bottom: 1px solid rgba(0, 0, 0, .125);
}

.comment-respond input, .comment-respond .comment-form-comment textarea {
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
    border: 0 !important;
    width: 100% !important;
    overflow: visible;
    padding: 8px;
    border-radius: 8px;
    background: rgba(230, 230, 230, .4);
    outline: 1px solid rgba(255, 255, 255, .6);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
}

.comment-respond input.submit {
    width: auto !important;
    float: left;
    padding: 6px 16px;
}

.comment-reply-link {
    float: left;
    transition: 0.3s;
    font-size: 13px;
    color: #c1baad !important;
    padding: 6px 12px;
    border-radius: 8px;
    background: #3e4041;
}

.comment-reply-link:hover {
    color: #fff !important;
}

.user-comment-content p {
    margin-bottom: 0;
}

.comments-pagination-edit {
    clear: both;
    text-align: center;
}

.comments-pagination-edit .pagination {
    display: inline-block;
}

.comments-pagination-edit .pagination .page-numbers {
    border: solid 1px #93a8c3;
    margin: 0 -1.5px !important;
    padding: 4px 9px 0 9px;
    border-radius: 6px !important
}

/* -- Singular -- */

.single-team-edited .single-team-member img {
    max-height: 350px;
}


/* --------- Contact us --------- */

.contact-us-map iframe{
    width: -webkit-fill-available;
    top: 100px;
}

/* --------- Category --------- */

.pagination-custom ul {
    align-items: center !important;
    align-self: center !important;
}

#comments .author-title {
    font-weight: 300;
}

#comments .photo {
    border-radius: 100%;
    height: 100px;
    width: 100px;
    object-fit: cover;
}

.my-breadcrumb-edit {
    background: rgba(255, 255, 255, .4);
    outline: 1px solid rgba(255, 255, 255, .7);
    backdrop-filter: blur(7px);
    border-radius: 16px;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, .3);
}

.my-breadcrumb-edit a {
    color: #dcc9a7;
    font-size: 15px;
    font-weight: bold;
}

.my-breadcrumb-edit em {
    color: #404040;
    font-size: 1rem;
}

.my-breadcrumb-edit span {
    color: #404040;
    font-size: 1rem;
}

.my-theme-pagination ul li a {
    box-shadow: 0 0 6px rgba(0, 0, 0, .2);
}

.my-theme-pagination ul li a:hover {
    background: #e7e8e9;
}

.my-theme-pagination ul li a svg {
    color: #c1baad;
}

.my-theme-pagination ul li.active a {
    background: #c1baad;
    color: white;
}


/* footer */

.footer-img img {
    max-height: 100px;
    object-fit: scale-down;
}

.footer-map iframe {
    max-height: 300px;
    max-width: 100%;
    box-shadow: 0 2px 2px rgba(0, 0, 0, .2);
}

.footer-social-icon {
    border-top: solid 1px #71132a;
}

.after-footer a {
    transition: .5s;
}

.footer-menu .footer-links-style li:not(:last-child) {
    border-left: 1px solid #c1baad;
}

/* Sticky Contact BTN */

.sticky-contact-btn {
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    z-index: 999;
}

.sticky-contact-btn a,
.sticky-contact-btn button {
    height: 38px;
    width: 38px;
    transition: .4s;
}

/* ------------ Gravity Form Edit ------------ */

.g-form-edit .gform_body input,
.g-form-edit .gform_body textarea,
.g-form-edit .gform_body select {
    border: 0;
    color: #3e4041;
    padding: 7px 10px !important;
    margin-top: 0 !important;
    box-shadow: 0 2px 2px rgba(0, 0, 0, .2);
}

.g-form-edit .gform_body input:focus {
    outline: 0;
}

.g-form-edit .gform_body label {
    display: none !important;
}

.g-form-edit .gform_footer input {
    float: left;
    border: 0;
    background: #3e4041;
    color: white;
    box-shadow: 0 2px 2px rgba(0, 0, 0, .2);
    padding: 6px 18px;
    transition: .3s;
}

.g-form-edit .gform_footer input:hover {
    scale: 1.07;
}

/* ------------ Colors & Filters ------------ */

.back-gray {
    background: #ebebec;
}

.back-dgray {
    background: #3e4041;
}

.back-dred {
    background: #71132a;
}

.back-beige {
    background: #c1baad;
}

.back-gold {
    background: #dcc9a7;
}

.back-blur {
    background: rgba(255, 255, 255, .5);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}

.back-blur-2 {
    background: rgba(255, 255, 255, .2);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
}

.back-lbb {
    background: linear-gradient(140deg, rgba(248, 243, 233, 0.5), rgba(193, 186, 173, 0.5) 60%, rgba(248, 243, 233, 0.5));
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
}

.back-lb {
    background: linear-gradient(45deg, #26a1d952, transparent);
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
}

.back-linerb-dg {
    background: radial-gradient(at right bottom, #7f878d, #42535d);
    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(3px);
}

.color-dgray {
    color: #3e4041;
}

.color-gray {
    color: #ebebec;
}

.color-dred {
    color: #71132a;
}

.color-beige {
    color: #c1baad;
}

.color-gold {
    color: #dcc9a7;
}

.shadow-filter {
    filter: drop-shadow(0 2px 4px rgba(0, 0, 0, .3));
}

.shadow-box-l {
    box-shadow: 0 2px 4px rgba(0, 0, 0, .3);
}

.shadow-box {
    box-shadow: 0 2px 2px rgba(0, 0, 0, .2);
}

.radius-32 {
    border-radius: 32px;
}

.radius-16 {
    border-radius: 16px;
}

.radius-12 {
    border-radius: 12px;
}

.radius-8 {
    border-radius: 8px;
}

.border-b {
    border: solid 1px #c1baad;
}

.border-bl {
    border: solid 2px #c1baad;
}

.border-w {
    border: solid 1px white;
}

.border-wl {
    border: solid 2px white;
}

.font-l {
    font-size: large;
}

.font-lr {
    font-size: larger;
}

.font-xl {
    font-size: x-large;
}

.font-xxl {
    font-size: xx-large;
}

.font-xxxl {
    font-size: xxx-large;
}

.font-4 {
    font-size: 4rem;
}

.font-5 {
    font-size: 5rem;
}

.font-w9 {
    font-weight: 900;
}

.l-space3 {
    letter-spacing: 3px;
}

.gap-32 {
    gap: 32px;
}

.gap-16 {
    gap: 16px;
}

.gap-12 {
    gap: 12px;
}

.gap-8 {
    gap: 8px;
}

@media (max-width: 768px) {

    .main-menu .top-menu-logo img {
        height: 45px;
    }

    header.shrink .top-menu-logo img {
        height: 38px;
    }

    .main-menu .top-menu-logo {
        border-left: 0;
    }

    .slick-dotted.slick-slider {
        margin-bottom: 0;
    }

    .front-top-design .front-top-info img {
        max-height: 90px;
    }

    .front-top-design .slider1 img {
        max-height: 70vh;
    }

    .front-about .about-logo img {
        max-height: 70px;
    }

    .f-services-sec, .about-dr-sec {
        min-height: unset;
    }

    .f-services-sec .front-services, .about-dr-sec .about-dr {
        max-height: unset;
    }

    .f-services-sec .front-services .side-pic img, .about-dr-sec .about-dr .side-pic img {
        max-height: 350px;
    }

    .f-services-sec .front-services .slider2 img {
        height: 250px;
        width: 250px;
    }

    .f-team-section .f-team-card img,
    .f-team-archive .f-team-card img {
        max-height: 300px;
    }

    .sticky-contact-btn {
        right: 0;
        left: 0;
        top: unset;
    }

    .sticky-contact-btn button {
        width: calc(50% - 10px);
        height: unset;
    }

    .footer-menu .footer-links-style li:not(:last-child) {
        border-left: none;
    }

    .footer-menu .footer-links-style li:not(:last-child) {
        border-bottom: 1px dotted white;
    }

    .back-s-dgray {
        background: #3e4041;
    }

    .back-s-gold {
        background: #dcc9a7;
    }

    .s-shadow-box {
        box-shadow: 0 2px 2px rgba(0, 0, 0, .2);
    }

    .font-s-xs {
        font-size: x-small;
    }

    .font-s-l {
        font-size: large;
    }

    .font-s-lr {
        font-size: larger;
    }

    .font-s-xl {
        font-size: x-large;
    }

    .font-s-xxl {
        font-size: xx-large;
    }

    .font-s-xxxl {
        font-size: xxx-large;
    }

    .font-s-4 {
        font-size: 4rem;
    }

    .font-s-5 {
        font-size: 5rem;
    }

    .gap-s-16 {
        gap: 16px;
    }

    .gap-s-12 {
        gap: 12px;
    }

    .gap-s-8 {
        gap: 8px;
    }
}